Package io.dapr.v1

# Interface DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.ListInputBindingsResponse`, `DaprAppCallbackProtos.ListInputBindingsResponse.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getBindings(int index)`
The list of input bindings.
`com.google.protobuf.ByteString`
`getBindingsBytes(int index)`
The list of input bindings.
`int`
`getBindingsCount()`
The list of input bindings.
`List<String>`
`getBindingsList()`
The list of input bindings.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getBindingsList

List<String> getBindingsList()

     The list of input bindings.

`repeated string bindings = 1;`

Returns:
  A list containing the bindings.

### getBindingsCount

int getBindingsCount()

     The list of input bindings.

`repeated string bindings = 1;`

Returns:
  The count of bindings.

### getBindings

String getBindings(int index)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The bindings at the given index.

### getBindingsBytes

com.google.protobuf.ByteString getBindingsBytes(int index)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the bindings at the given index.